import { type RouteConfig, index, route } from "@react-router/dev/routes";

export default [
  index("routes/home.tsx"),
  route("publish", "routes/publish.tsx"),
  route("recent", "routes/recent.tsx"),
  route("following", "routes/following.tsx"),
  route("subscriptions", "routes/subscriptions.tsx"),
  route("suggestions", "routes/suggestions.tsx"),
  route("settings", "routes/settings.tsx"),
  route("faq", "routes/faq.tsx"),
  route("help", "routes/help.tsx"),
  route("tos", "routes/tos.tsx"),
  route("privacy", "routes/privacy.tsx"),
  route("kanban", "routes/kanban.tsx"),
  route(":userId", "routes/profile.tsx"),
  route(":userId/pub/:pubRkey/:rkey/edit", "routes/edit.tsx"),
  route(":userId/pub/:pubRkey/:rkey", "routes/pub-post.tsx"),
  route(":userId/pub/:rkey", "routes/pub.tsx"),
] satisfies RouteConfig;
